Package com.collibra.dgc.core.api.dto.meta.complexrelation

# Class ComplexRelationAttributeTypeRequest.Builder

Object
Builder

Enclosing class:
  `ComplexRelationAttributeTypeRequest`

public static final class ComplexRelationAttributeTypeRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ComplexRelationAttributeTypeRequest.Builder`
  `attributeTypeId(UUID attributeTypeId)`
  Required. The ID of the Attribute Type.
  `ComplexRelationAttributeTypeRequest`
  `build()`
  `ComplexRelationAttributeTypeRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `ComplexRelationAttributeTypeRequest.Builder`
  `id(UUID id)`
  The ID of the Complex Relation Attribute Type.
  `ComplexRelationAttributeTypeRequest.Builder`
  `max(Integer max)`
  The maximum number of Attribute Type occurrences.
  `ComplexRelationAttributeTypeRequest.Builder`
  `min(int min)`
  The minimum number of Attribute Type occurrences.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public ComplexRelationAttributeTypeRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `ComplexRelationAttributeTypeRequest.builder()`
    Clone method for this Builder.

  - ### min

    public ComplexRelationAttributeTypeRequest.Builder min(int min)
    The minimum number of Attribute Type occurrences.
    Returns:
      `this`.

  - ### max

    public ComplexRelationAttributeTypeRequest.Builder max(Integer max)
    The maximum number of Attribute Type occurrences.
    Returns:
      `this`.

  - ### attributeTypeId

    public ComplexRelationAttributeTypeRequest.Builder attributeTypeId(UUID attributeTypeId)
    Required. The ID of the Attribute Type.
    Returns:
      `this`.

  - ### id

    public ComplexRelationAttributeTypeRequest.Builder id(UUID id)
    The ID of the Complex Relation Attribute Type. If specified, it will be used to create a new Complex Relation Attribute Type if none exists, or as id for the existing Complex Relation Attribute Type. If not specified, a random id will be generated and used to create a new Complex Relation Attribute Type if none exists, or as id for the existing Complex Relation Attribute Type.
    Returns:
      `this`.

  - ### build

    public ComplexRelationAttributeTypeRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`